diff --git a/win/_base.sh b/win/_base.sh
index 920513b0f73a06c417b852fb9ef5fe926c59d4c2..9e898b8acd26f8f9ea050cd5fdaf9ed12a475a95 100644
--- a/win/_base.sh
+++ b/win/_base.sh
@@ -57,8 +57,11 @@ function build_compileall {
 
 function install_pre_deps {
     pacman -S --needed --noconfirm p7zip \
-        mingw-w64-"${ARCH}"-nsis wget intltool mingw-w64-"${ARCH}"-toolchain \
-        mingw-w64-"${ARCH}"-"${PYTHON_ID}"
+        wget \
+        intltool \
+        mingw-w64-"${ARCH}"-nsis \
+        mingw-w64-"${ARCH}"-toolchain \
+        mingw-w64-"${ARCH}"-python
 }
 
 function create_root {
@@ -73,9 +76,9 @@ function create_root {
 }
 
 function install_deps {
-    build_pacman --noconfirm -S mingw-w64-"${ARCH}"-"${PYTHON_ID}" \
-        mingw-w64-"${ARCH}"-"${PYTHON_ID}"-gobject \
-        mingw-w64-"${ARCH}"-"${PYTHON_ID}"-pip \
+    build_pacman --noconfirm -S mingw-w64-"${ARCH}"-python \
+        mingw-w64-"${ARCH}"-python-gobject \
+        mingw-w64-"${ARCH}"-python-pip \
         mingw-w64-"${ARCH}"-adwaita-icon-theme \
         mingw-w64-"${ARCH}"-libwebp \
         mingw-w64-"${ARCH}"-sqlite3 \
@@ -83,13 +86,13 @@ function install_deps {
         mingw-w64-"${ARCH}"-gspell \
         mingw-w64-"${ARCH}"-hunspell \
         mingw-w64-"${ARCH}"-libsoup \
-        mingw-w64-"${ARCH}"-"${PYTHON_ID}"-setuptools \
-        mingw-w64-"${ARCH}"-"${PYTHON_ID}"-pillow \
-        mingw-w64-"${ARCH}"-"${PYTHON_ID}"-setuptools-scm \
-        mingw-w64-"${ARCH}"-"${PYTHON_ID}"-pyopenssl \
-        mingw-w64-"${ARCH}"-"${PYTHON_ID}"-certifi \
-        mingw-w64-"${ARCH}"-"${PYTHON_ID}"-six \
-        mingw-w64-"${ARCH}"-"${PYTHON_ID}"-pygments
+        mingw-w64-"${ARCH}"-python-setuptools \
+        mingw-w64-"${ARCH}"-python-pillow \
+        mingw-w64-"${ARCH}"-python-setuptools-scm \
+        mingw-w64-"${ARCH}"-python-pyopenssl \
+        mingw-w64-"${ARCH}"-python-certifi \
+        mingw-w64-"${ARCH}"-python-six \
+        mingw-w64-"${ARCH}"-python-pygments
 
         build_pip install precis-i18n
 
@@ -173,7 +176,7 @@ function install_gajim {
 function cleanup_install {
 
     build_pacman --noconfirm -Rdd mingw-w64-"${ARCH}"-shared-mime-info \
-        mingw-w64-"${ARCH}"-"${PYTHON_ID}"-pip mingw-w64-"${ARCH}"-ncurses || true
+        mingw-w64-"${ARCH}"-python-pip mingw-w64-"${ARCH}"-ncurses || true
     build_pacman --noconfirm -Rdd mingw-w64-"${ARCH}"-tk || true
     build_pacman --noconfirm -Rdd mingw-w64-"${ARCH}"-tcl || true